#!/usr/bin/python
"""Usage: igrep imagefile.iso string ...

Reports the files in which files have the string.
"""
import fiwalk

if __name__=="__main__":
    import sys
    from sys import stdout

    from optparse import OptionParser
    parser = OptionParser()
    parser.usage = '%prog [options] image.iso  s1 [s2 s3 s3 ...]'
    parser.add_option("-d","--debug",help="debug",action="store_true")
    (options,args) = parser.parse_args()

    if len(args)<1:
        parser.print_help()
        sys.exit(1)

    data = args[1]

    def process(fi):
        offset = fi.contents().find(data)
        if offset>0:
            print "%s (offset=%d)" % (s,offset)
            
    fiwalk.fiwalk_using_sax(imagefile=open(args[0]),callback=process)
